#include <iostream>
using namespace std;

int somme_diviseurs_triviaux (int n)
{
    int i;
    int som = 0;
    for (i=2 ; i<n ; i++)
    {
        if (n%i == 0)
        {
            som+=i;
        }
    }
    return som;
}

bool fiances (int m, int n)
{
     return (m == somme_diviseurs_triviaux(n) && n==somme_diviseurs_triviaux(m));
}

int main (void)
{
    int i,j;
    for (i=2 ; i<1000;i++)
        for (j=2 ; j<1000;j++)
    {
         if ((fiances(i,j))&&(i<j)) cout <<i<<" et "<<j<< " fiances"<<endl;
    }

}
